# PhasicFlow: dynamicPointStructure Class Reference

dynamicPointStructure Class Reference
Inheritance diagram for dynamicPointStructure:
[legend]
Collaboration diagram for dynamicPointStructure:
[legend]

## Public Member Functions

| TypeInfo ("dynamicPointStructure")
| dynamicPointStructure (Time &time, const word &integrationMethod)
| dynamicPointStructure (const dynamicPointStructure &ps)=default
| dynamicPointStructure (dynamicPointStructure &&)=delete
dynamicPointStructure & | operator= (const dynamicPointStructure &)=default
dynamicPointStructure & | operator= (dynamicPointStructure &&)=delete
virtual | ~dynamicPointStructure ()=default
pointStructure & | pStruct ()
const pointStructure & | pStruct () const
const realx3PointField_D & | velocity () const
auto | velocityHostAll ()
auto | pointPositionHostAll ()
auto | markDeleteOutOfBox (const box &domain)
bool | predict (real dt, realx3PointField_D &acceleration)
bool | correct (real dt, realx3PointField_D &acceleration)
bool | update (const eventMessage &msg) override
Public Member Functions inherited from eventObserver
| eventObserver ()
| eventObserver (const eventSubscriber &subscriber, bool subscribe=true)
virtual | ~eventObserver ()
bool | subscribed () const
bool | subscribe (const eventSubscriber &subscriber)
void | invalidateSubscriber ()

## Protected Attributes

Time & | time_
word | integrationMethod_
pointStructure & | pStruct_
realx3PointField_D & | velocity_
uniquePtr< integration > | integrationPos_
uniquePtr< integration > | integrationVel_
Protected Attributes inherited from eventObserver
const eventSubscriber * | subscriber_ = nullptr
bool | subscribed_ = false

## Detailed Description

Definition at line 33 of file dynamicPointStructure.hpp.

## Constructor & Destructor Documentation

## dynamicPointStructure() [1/3]

dynamicPointStructure | ( | Time & | time,
|  | const word & | integrationMethod
| ) |  |

Definition at line 25 of file dynamicPointStructure.cpp.

References endREPORT, fatalErrorInFunction, fatalExit, greenText, indexContainer< IndexType >::indicesHost(), n, pStruct, REPORT, and indexContainer< IndexType >::size().

Here is the call graph for this function:

## dynamicPointStructure() [2/3]

dynamicPointStructure | ( | const dynamicPointStructure & | ps | ) |

default

## dynamicPointStructure() [3/3]

dynamicPointStructure | ( | dynamicPointStructure && |  | ) |

delete

## ~dynamicPointStructure()

virtual ~dynamicPointStructure | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "dynamicPointStructure" |  | ) |

## operator=() [1/2]

dynamicPointStructure& operator= | ( | const dynamicPointStructure & |  | ) |

default

## operator=() [2/2]

dynamicPointStructure& operator= | ( | dynamicPointStructure && |  | ) |

delete

## pStruct() [1/2]

pointStructure& pStruct | ( |  | ) |

inline

Definition at line 88 of file dynamicPointStructure.hpp.

References dynamicPointStructure::pStruct_.

Referenced by particles::pStruct(), and dynamicPointStructure::update().

Here is the caller graph for this function:

## pStruct() [2/2]

const pointStructure& pStruct | ( |  | ) | const

inline

Definition at line 93 of file dynamicPointStructure.hpp.

References dynamicPointStructure::pStruct_.

## velocity()

const realx3PointField_D& velocity | ( |  | ) | const

inline

Definition at line 98 of file dynamicPointStructure.hpp.

References dynamicPointStructure::velocity_.

Referenced by dynamicPointStructure::update().

Here is the caller graph for this function:

## velocityHostAll()

auto velocityHostAll | ( |  | ) |

inline

Definition at line 103 of file dynamicPointStructure.hpp.

References dynamicPointStructure::velocity_.

## pointPositionHostAll()

auto pointPositionHostAll | ( |  | ) |

inline

Definition at line 108 of file dynamicPointStructure.hpp.

References pointStructure::pointPositionHostAll(), and dynamicPointStructure::pStruct_.

Here is the call graph for this function:

## markDeleteOutOfBox()

auto markDeleteOutOfBox | ( | const box & | domain | ) |

inline

Definition at line 113 of file dynamicPointStructure.hpp.

References pointStructure::markDeleteOutOfBox(), and dynamicPointStructure::pStruct_.

Referenced by particles::beforeIteration().

Here is the call graph for this function:
Here is the caller graph for this function:

## predict()

bool predict | ( | real | dt,
|  | realx3PointField_D & | acceleration
| ) |  |

Definition at line 121 of file dynamicPointStructure.cpp.

References pFlow::sphereParticlesKernels::acceleration(), and pStruct.

Here is the call graph for this function:

## correct()

bool correct | ( | real | dt,
|  | realx3PointField_D & | acceleration
| ) |  |

Definition at line 135 of file dynamicPointStructure.cpp.

References pFlow::sphereParticlesKernels::acceleration(), and pStruct.

Here is the call graph for this function:

## update()

bool update | ( | const eventMessage & | msg | ) |

overridevirtual

Implements eventObserver.

Definition at line 181 of file dynamicPointStructure.cpp.

References VectorSingle< T, MemorySpace >::hostVector(), pointStructure::insertedPointIndex(), dynamicPointStructure::integrationPos_, dynamicPointStructure::integrationVel_, eventMessage::isInsert(), n, pointStructure::pointPosition(), dynamicPointStructure::pStruct(), and dynamicPointStructure::velocity().

Here is the call graph for this function:

## Member Data Documentation

## time_

Time& time_

protected

Definition at line 40 of file dynamicPointStructure.hpp.

## integrationMethod_

word integrationMethod_

protected

Definition at line 42 of file dynamicPointStructure.hpp.

## pStruct_

pointStructure& pStruct_

protected

Definition at line 44 of file dynamicPointStructure.hpp.

Referenced by dynamicPointStructure::markDeleteOutOfBox(), dynamicPointStructure::pointPositionHostAll(), and dynamicPointStructure::pStruct().

## velocity_

realx3PointField_D& velocity_

protected

Definition at line 46 of file dynamicPointStructure.hpp.

Referenced by dynamicPointStructure::velocity(), and dynamicPointStructure::velocityHostAll().

## integrationPos_

uniquePtr<integration> integrationPos_

protected

Definition at line 48 of file dynamicPointStructure.hpp.

Referenced by dynamicPointStructure::update().

## integrationVel_

uniquePtr<integration> integrationVel_

protected

Definition at line 50 of file dynamicPointStructure.hpp.

Referenced by dynamicPointStructure::update().

The documentation for this class was generated from the following files:

- src/Particles/dynamicPointStructure/dynamicPointStructure.hpp
- src/Particles/dynamicPointStructure/dynamicPointStructure.cpp